<script setup>
import {useSlots} from 'vue';
const slots = useSlots();

const isSlotEmpty = () => {
  return Object.keys(slots).length === 0;
}
</script>

<template>
  <div class="box has-sharp-edges" v-if="!isSlotEmpty()">
    <slot name="default"></slot>
  </div>
</template>

<style scoped>
.box.has-sharp-edges {
  border-radius: 0;
}
</style>